## freegish 1.53%2Bgit20140221%2Bdfsg

=== debian/changelog ===
freegish (1.53+git20140221+dfsg-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Luboš Novák ]
  * New upstream snapshot.
  * Drop files and patches merged upstream.
  * Bump Standards Version to 3.9.5.
  * Fixed typo in package description. (Closes: #710548)
  * Use an absolute icon path in menu file.
  * New homepage: https://github.com/freegish/freegish

 -- Luboš Novák <alvinx12@centrum.cz>  Mon, 24 Feb 2014 15:08:23 +0100

freegish (1.53+git20101011+dfsg-2) unstable; urgency=low

  * Change build-depends on libpng12-dev to libpng-dev. (Closes: #662335)
  * Fix FTBFS with libpng 1.5. (Closes: #649796)
  * Fix FTBFS on kFreeBSD and Hurd.
  * Changed description string to make lintian happy.
  * Added Recommends freegish to freegish-data.
  * Bump Standards Version to 3.9.3. (No changes needed).
  * Update debhelper compatiblity level from 8 to 9.

 -- Luboš Novák <alvinx12@centrum.cz>  Fri, 1 Jun 2012 09:29:40 +0100

freegish (1.53+git20101011+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #619105)

 -- Luboš Novák <alvinx12@centrum.cz>  Fri, 24 Dec 2010 21:38:50 +0100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=cmake --with quilt

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_FHS=1 -DBIN_DIR=/usr/games -DDATA_DIR=/usr/share/games/freegish

override_dh_strip:
	dh_strip --dbg-package=freegish-dbg

URL="https://github.com/freegish/freegish.git"
REV="f46e4f0f42"
DATEREV="20140221"
DIR="freegish-1.53+git"$(DATEREV)+dfsg

get-orig-source:
	git clone $(URL) $(DIR)
	cd $(DIR) && git checkout $(REV)
	find $(DIR) -name ".gitignore" -print -delete
	rm -rf .git/
	rm -rf $(DIR)/externals/
	rm -rf $(DIR)/tools/gishleveltool/
	rm -rf $(DIR)/.git/
	rm -rf $(DIR)/music/*
	rm -f $(DIR)/SDL.DLL
	rm -f $(DIR)/video/glext.h
	tar czf freegish_1.53+git$(DATEREV)+dfsg.orig.tar.gz $(DIR)
	rm -rf $(DIR)

## freegish 1.53%2Bgit20170110%2Bdfsg

=== debian/changelog ===
freegish (1.53+git20170110+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 10. (Closes: #957234)
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Jul 2020 14:03:15 +0200

freegish (1.53+git20170110+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot. (Closes: #870755)
  * Bump revision + date for get-orig-source.
  * Don't remove current .git directory in get-orig-source.
  * Point Vcs-* fields to salsa.
  * Migrate to dbgsym package.
  * Mark -data package as Multi-Arch: foreign.
  * Update Standards-Version to 4.4.0:
    - remove obsolete menu file.
    - declare that d/rules does not require root
  * Drop unnecessary dependency on quilt
  * Update debhelper compat level to 12
  * Enable all hardening options.
  * Update d/copyright header to format 1.0.
  * Fix up d/copyright.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Aug 2019 23:41:02 +0200

## freegish 1.53+git20101011+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(Gish C)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake-extras/;${CMAKE_MODULE_PATH}")
set(EXECUTABLE_OUTPUT_PATH "${PROJECT_SOURCE_DIR}")

# Uncomment this to hardcode the data path. On the command line, you
# would actually give -DDATAPATH='"/usr/share/games/gish"' or similar
# but CMake does the extra quoting for us.
#add_definitions(-DDATAPATH="/usr/share/games/gish")

find_package(SDL REQUIRED)
find_package(OpenAL REQUIRED)
find_package(OpenGL REQUIRED)
find_package(Vorbis REQUIRED)
find_package(PNG REQUIRED)


include_directories(
    ${SDL_INCLUDE_DIR}
    ${OPENAL_INCLUDE_DIR}
    ${OPENGL_INCLUDE_DIR}
    ${Vorbis_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
)

set(GISH_SRCS
    audio/audio.c
    game/ai.c
    game/animation.c
    game/block.c
    game/boss.c
    game/config.c
    game/credits.c
    game/custom.c
    game/damage.c
    game/debug.c
    game/editor.c
    game/game.c
    game/gameaudio.c
    game/gamemenu.c
    game/gameobject.c
    game/gametexture.c
    game/high.c
    game/level.c
    game/lighting.c
    game/logic.c
    game/mainmenu.c
    game/mappack.c
    game/music.c
    game/objedit.c
    game/objfunc.c
    game/options.c
    game/physics.c
    game/player.c
    game/prerender.c
    game/random.c
    game/record.c
    game/render.c
    game/replay.c
    game/ropeedit.c
    game/setup.c
    game/socket.c
    game/sprite.c
    game/vsmode.c
    input/joystick.c
    input/keyboard.c
    input/mouse.c
    math/intersec.c
    math/vector.c
    menu/menu.c
    parser/parser.c
    physics/bond.c
    physics/object.c
    physics/particle.c
    sdl/endian.c
    sdl/event.c
    sdl/file.c
    sdl/video.c
    video/glfunc.c
    video/opengl.c
    video/text.c
    video/texture.c
    main.c
)

set(GISH_H
    audio/audio.h
    game/ai.h
    game/animation.h
    game/block.h
    game/boss.h
    game/config.h
    game/credits.h
    game/custom.h
    game/damage.h
    game/debug.h
    game/editor.h
    game/english.h
    game/game.h
    game/gameaudio.h
    game/gamemenu.h
    game/gameobject.h
    game/gametexture.h
    game/high.h
    game/level.h
    game/lighting.h
    game/logic.h
    game/mainmenu.h
    game/mappack.h
    game/music.h
    game/objedit.h
    game/objfunc.h
    game/options.h
    game/physics.h
    game/player.h
    game/prerender.h
    game/random.h
    game/record.h
    game/render.h
    game/replay.h
    game/ropeedit.h
    game/setup.h
    game/socket.h
    game/sprite.h
    game/vsmode.h
    input/joystick.h
    input/keyboard.h
    input/mouse.h
    math/intersec.h
    math/math.h
    math/vector.h
    menu/menu.h
    parser/parser.h
    physics/bond.h
    physics/object.h
    physics/particle.h
    sdl/endian.h
    sdl/event.h
    sdl/file.h
    sdl/sdl.h
    sdl/video.h
    video/glext.h
    video/glfunc.h
    video/opengl.h
    video/text.h
    video/texture.h
    config.h
)

add_executable(gish ${GISH_SRCS} ${GISH_H})

target_link_libraries(gish
    ${SDL_LIBRARY}
    ${OPENAL_LIBRARY}
    ${OPENGL_LIBRARIES}
    ${Vorbis_LIBRARIES}
    ${PNG_LIBRARIES}
)

=== debian/control ===
Source: freegish
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Luboš Novák <alvinx12@centrum.cz>
Build-Depends: debhelper (>= 9), cmake (>= 2.4.4), quilt (>= 0.46-7~),
 libsdl1.2-dev, libopenal-dev, libvorbis-dev, libogg-dev, libpng-dev
Standards-Version: 3.9.3
Homepage: https://www.github.com/megagun/gish
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/freegish/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/freegish/

Package: freegish
Architecture: any
Depends: xdg-utils, freegish-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: physics based arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.

Package: freegish-dbg
Architecture: any
Section: debug
Priority: extra
Depends: freegish (= ${binary:Version}), ${misc:Depends}
Description: arcade game (debbugging symbols)
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.
 .
 This package contains the debugging symbols.

Package: freegish-data
Architecture: all
Depends: ${misc:Depends}
Recommends: freegish
Description: data for the FreeGish arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.
 .
 This package holds data files needed for Freegish.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 override_dh_strip:
 	dh_strip --dbg-package=freegish-dbg
 
-URL="https://github.com/freegish/freegish.git"
-REV="f46e4f0f42"
-DATEREV="20140221"
+URL="https://github.com/megagun/gish.git"
+REV="d1bac0c"
+DATEREV="20101011"
 DIR="freegish-1.53+git"$(DATEREV)+dfsg
 
 get-orig-source:
@@ -20,6 +20,7 @@
 	rm -rf .git/
 	rm -rf $(DIR)/externals/
 	rm -rf $(DIR)/tools/gishleveltool/
+	rm -rf $(DIR)/level/backup/
 	rm -rf $(DIR)/.git/
 	rm -rf $(DIR)/music/*
 	rm -f $(DIR)/SDL.DLL

## freegish 1.53+git20140221+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(FreeGish C)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake-extras/;${CMAKE_MODULE_PATH}")

option(INSTALL_FHS "Install into Linux FHS" OFF)

#don't pollute source dir
if(NOT ${INSTALL_FHS})
    set(EXECUTABLE_OUTPUT_PATH "${PROJECT_SOURCE_DIR}")
endif(NOT ${INSTALL_FHS})

# Uncomment this to hardcode the data path. On the command line, you
# would actually give -DDATAPATH='"/usr/share/games/gish"' or similar
# but CMake does the extra quoting for us.
#add_definitions(-DDATAPATH="/usr/share/games/gish")

find_package(SDL REQUIRED)
find_package(OpenAL REQUIRED)
find_package(OpenGL REQUIRED)
find_package(Vorbis REQUIRED)
find_package(PNG REQUIRED)
find_library(M_LIBRARIES m)

include_directories(
    ${SDL_INCLUDE_DIR}
    ${OPENAL_INCLUDE_DIR}
    ${OPENGL_INCLUDE_DIR}
    ${Vorbis_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
)

if(NOT BIN_DIR)
    if(UNIX)
	SET(BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin")
    endif(UNIX)
endif(NOT BIN_DIR)

if(NOT DATA_DIR)
    if(UNIX)
	SET(DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/freegish")
    endif(UNIX)
endif(NOT DATA_DIR)

if(${INSTALL_FHS})
    ADD_DEFINITIONS(-DDATAPATH="${DATA_DIR}")
endif(${INSTALL_FHS})


add_subdirectory(src)


if(UNIX)

    if(NOT ICONS_DIR)
	SET(ICONS_DIR "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps")
    endif(NOT ICONS_DIR)

    if(NOT PIXMAPS_DIR)
	SET(PIXMAPS_DIR "${CMAKE_INSTALL_PREFIX}/share/pixmaps")
    endif(NOT PIXMAPS_DIR)

    if(NOT APPLICATIONS_DIR)
	SET(APPLICATIONS_DIR "${CMAKE_INSTALL_PREFIX}/share/applications")
    endif(NOT APPLICATIONS_DIR)

    if(NOT MAN_DIR)
	SET(MAN_DIR "${CMAKE_INSTALL_PREFIX}/share/man/man6")
    endif(NOT MAN_DIR)

    set(DDIRS animation level sound texture)

    foreach(DIR_NAME ${DDIRS})
	install(DIRECTORY ${DIR_NAME}
	    DESTINATION ${DATA_DIR}
	    PATTERN .gitignore EXCLUDE
	    PATTERN *.txt EXCLUDE
	    PATTERN backup EXCLUDE
	)
    endforeach(DIR_NAME ${DDIRS})


    install(FILES "freegish.bmp" DESTINATION ${DATA_DIR})
    install(FILES "icons/freegish.png" DESTINATION ${ICONS_DIR})
    install(FILES "icons/freegish.xpm" DESTINATION ${PIXMAPS_DIR})
    install(FILES "icons/freegish.desktop" DESTINATION ${APPLICATIONS_DIR})
    install(FILES "freegish.6" DESTINATION ${MAN_DIR})

endif(UNIX)

=== src/CMakeLists.txt ===

set(GISH_SRCS
    audio/audio.c
    game/ai.c
    game/animation.c
    game/block.c
    game/boss.c
    game/config.c
    game/credits.c
    game/custom.c
    game/damage.c
    game/debug.c
    game/editor.c
    game/game.c
    game/gameaudio.c
    game/gamemenu.c
    game/gameobject.c
    game/gametexture.c
    game/high.c
    game/level.c
    game/lighting.c
    game/logic.c
    game/mainmenu.c
    game/mappack.c
    game/music.c
    game/objedit.c
    game/objfunc.c
    game/options.c
    game/physics.c
    game/player.c
    game/prerender.c
    game/random.c
    game/record.c
    game/render.c
    game/replay.c
    game/ropeedit.c
    game/setup.c
    game/socket.c
    game/sprite.c
    game/vsmode.c
    input/joystick.c
    input/keyboard.c
    input/mouse.c
    math/intersec.c
    math/vector.c
    menu/menu.c
    parser/parser.c
    physics/bond.c
    physics/object.c
    physics/particle.c
    sdl/endian.c
    sdl/event.c
    sdl/file.c
    sdl/video.c
    video/glfunc.c
    video/opengl.c
    video/text.c
    video/texture.c
    main.c
)

set(GISH_H
    audio/audio.h
    game/ai.h
    game/animation.h
    game/block.h
    game/boss.h
    game/config.h
    game/credits.h
    game/custom.h
    game/damage.h
    game/debug.h
    game/editor.h
    game/english.h
    game/game.h
    game/gameaudio.h
    game/gamemenu.h
    game/gameobject.h
    game/gametexture.h
    game/high.h
    game/level.h
    game/lighting.h
    game/logic.h
    game/mainmenu.h
    game/mappack.h
    game/music.h
    game/objedit.h
    game/objfunc.h
    game/options.h
    game/physics.h
    game/player.h
    game/prerender.h
    game/random.h
    game/record.h
    game/render.h
    game/replay.h
    game/ropeedit.h
    game/setup.h
    game/socket.h
    game/sprite.h
    game/vsmode.h
    input/joystick.h
    input/keyboard.h
    input/mouse.h
    math/intersec.h
    math/math.h
    math/vector.h
    menu/menu.h
    parser/parser.h
    physics/bond.h
    physics/object.h
    physics/particle.h
    sdl/endian.h
    sdl/event.h
    sdl/file.h
    sdl/sdl.h
    sdl/video.h
    video/glfunc.h
    video/opengl.h
    video/text.h
    video/texture.h
    config.h
)

if(WIN32)
    list(append GISH_H video/glext.h)
endif(WIN32)

add_executable(freegish ${GISH_SRCS} ${GISH_H})

target_link_libraries(freegish
    ${SDL_LIBRARY}
    ${OPENAL_LIBRARY}
    ${OPENGL_LIBRARIES}
    ${Vorbis_LIBRARIES}
    ${PNG_LIBRARIES}
    ${M_LIBRARIES}
)

if(UNIX)
    install(TARGETS freegish DESTINATION ${BIN_DIR})
endif(UNIX)

=== debian/changelog ===
freegish (1.53+git20140221+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:05:35 +0000

## freegish 1.53+git20170110+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 if(UNIX)
 
     if(NOT ICONS_DIR)
-	SET(ICONS_DIR "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps")
+	SET(ICONS_DIR "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
     endif(NOT ICONS_DIR)
 
     if(NOT PIXMAPS_DIR)
@@ -82,7 +82,7 @@
 
 
     install(FILES "freegish.bmp" DESTINATION ${DATA_DIR})
-    install(FILES "icons/freegish.png" DESTINATION ${ICONS_DIR})
+    install(FILES "icons/freegish.svg" DESTINATION ${ICONS_DIR})
     install(FILES "icons/freegish.xpm" DESTINATION ${PIXMAPS_DIR})
     install(FILES "icons/freegish.desktop" DESTINATION ${APPLICATIONS_DIR})
     install(FILES "freegish.6" DESTINATION ${MAN_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -126,6 +126,11 @@
     list(append GISH_H video/glext.h)
 endif(WIN32)
 
+if(APPLE)
+    list(APPEND GISH_SRCS sdl/SDLMain.m)
+    list(APPEND GISH_H sdl/SDLMain.h)
+endif(APPLE)
+
 add_executable(freegish ${GISH_SRCS} ${GISH_H})
 
 target_link_libraries(freegish

=== debian/changelog ===
freegish (1.53+git20170110+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:21:36 +0000

freegish (1.53+git20170110+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:32:38 +0000

=== debian/control ===
Source: freegish
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Luboš Novák <alvinx12@centrum.cz>
Build-Depends:
 cmake (>= 2.4.4),
 debhelper-compat (= 13),
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl1.2-dev,
 libvorbis-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/freegish/freegish
Vcs-Git: https://salsa.debian.org/games-team/freegish.git
Vcs-Browser: https://salsa.debian.org/games-team/freegish

Package: freegish
Architecture: any
Depends:
 freegish-data (= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: physics based arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first seven levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.

Package: freegish-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 freegish
Description: data for the FreeGish arcade game
 Freegish is a 2D platform game, where the player maneuvers character of a ball
 of tar. Character may become sticky, slick, heavy and can jump.
 .
 The game contains only first five levels of the single player campaign and few
 multiplayer levels for mini games like sumo or football.
 .
 Freegish is based on open sourced code of the famous game called Gish with
 added free art assets.
 .
 This package holds data files needed for Freegish.
